### Element

Base class of score layout elements The Element class is the virtual base class of all score layout elements.

#### Methods

virtual Ms::Element* clone()
const char* name()
static Ms::Element* create(Ms::Element::Type type, Score*)

#### Properties

type | Ms::Element::Type | element type, read only
parent | Ms::Element* | parent in drawing hierarchy
track | int |
color | QColor | foreground color
generated | bool | generated by layout
visible | bool |
selected | bool |
placement | Ms::Element::Placement | (ABOVE, BELOW)
pos | QPointF | position relativ to parent
pagePos | QPointF | position in page coordinated, read only
userOff | QPointF | manual offset to layout position
bbox | QRectF | Bounding box relative to pos and userOff, read only